{% extends "base.html" %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block title %}{% trans 'Results' %}{% endblock %}

{% block content %}
<div class="container">
    <div class="row no-gutters card-row">
        <div class="col-12 col-sm-9 col-lg-6 mx-auto my-auto">
            <div class="card">
                <div class="card-header">
                    <h1 class="text-center">Results - {{ votation.topic }}</h1>
                </div>
                <div class="card-body">
                    {% if votation.get_votation_status != "pending" %}
                        {% if votation.get_votation_status == "closed" %}
                        <span class="badge badge-danger"><i class="fas fa-times"></i> Closed</span><hr>
                        {% else %}
                        <span class="badge badge-success"><i class="fas fa-check"></i> Open</span><hr>
                        {% endif %}
                    {% endif %}
                    <h5><strong>Description - </strong>{{ votation.description }}</h5>
                    <h5><strong>Winner - </strong>{{ votation.winner.name }}</h5>
                    {% if votation.votation_type != "ranked" %}
                    <br>
                    <table class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th scope="col"><h5>Choice</h5></th>
                            <th scope="col"><h5>Total Votes</h5></th>
                        </tr>
                    </thead>
                    <tbody>
                    {% for result in results %}
                        <tr>
                            <th scope="row">{{ result.0 }}</th>
                            <td>{{ result.1 }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                    </table>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}